OpenJPEG: target_param Struct Reference

OpenJPEG 2.3.0

Data Fields
target_param Struct Reference

target parameters More...

`#include <target_manager.h>`

## Data Fields
char | tid [MAX_LENOFTID]
| target identifier More...
char * | targetname
| local file path or URL ( URL is supported only with SERVER mode) More...
int | fd
| file descriptor More...
int | csn
| codestream number More...
index_param_t * | codeidx
| index information of codestream More...
int | num_of_use
| numbers of sessions referring to this target More...
OPJ_BOOL | jppstream
| if this target can return JPP-stream More...
OPJ_BOOL | jptstream
| if this target can return JPP-stream More...
struct target_param * | next
| pointer to the next target More...

## Detailed Description

target parameters

## Field Documentation

## ◆ codeidx

index_param_t* target_param::codeidx

index information of codestream

Referenced by enqueue_allprecincts(), enqueue_imagedata(), enqueue_mainheader(), enqueue_metadata(), enqueue_precinct(), enqueue_precincts(), enqueue_tile(), enqueue_tileheader(), gene_cachemodel(), gene_JPIPstream(), gene_target(), is_allsent(), and print_cachemodel().

## ◆ csn

int target_param::csn

codestream number

Referenced by enqueue_box(), enqueue_boxcontents(), enqueue_mainheader(), enqueue_phld(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), gene_target(), and print_target().

## ◆ fd

int target_param::fd

file descriptor

Referenced by gene_target(), and recons_stream_from_msgqueue().

## ◆ jppstream

OPJ_BOOL target_param::jppstream

if this target can return JPP-stream

Referenced by gene_cachemodel(), and gene_target().

## ◆ jptstream

OPJ_BOOL target_param::jptstream

if this target can return JPP-stream

Referenced by gene_cachemodel(), and gene_target().

## ◆ next

struct target_param* target_param::next

pointer to the next target

Referenced by delete_target_in_list(), delete_targetlist(), gene_target(), print_alltarget(), search_target(), and search_targetBytid().

## ◆ num_of_use

int target_param::num_of_use

numbers of sessions referring to this target

Referenced by gene_target(), refer_target(), and unrefer_target().

## ◆ targetname

char* target_param::targetname

local file path or URL ( URL is supported only with SERVER mode)

Referenced by gene_target(), print_allchannel(), print_cachemodel(), print_target(), and search_target().

## ◆ tid

char target_param::tid[MAX_LENOFTID]

target identifier

Referenced by gene_target(), print_target(), and search_targetBytid().

The documentation for this struct was generated from the following file:

- target_manager.h